Status: Closed

Priority: High

Assignee: Giovanni Manghi

Category: Processing/SAGA

Affected QGIS version:3.0.3 Regression?: Yes

Operating System: Easy fix?: Yes

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26962

Description

Hello,

I'm trying to use the Saga's procssing plugin called "Add raster values to point" with Qgis 3.03 and Saga 2.3.2.

It calls the -INTERPOL option when the command line seem to need -RESAMPLING option instead.

Btw, the plugin gives 5 choices with the resampling method when the command line only shows 4 available choices.

Extract from the log :

"Usage: saga_cmd shapes_grid 0 [-SHAPES <str>] [-GRIDS <str>] [-RESULT <str>] [-RESAMPLING <str>]

-SHAPES:<str> Points Shapes (input)

-GRIDS:<str> Grids Grid list (input)

-RESULT:<str> Result Shapes (optional output)

-RESAMPLING:<str> Resampling Choice

Available Choices:

[0] Nearest Neighbour

[1] Bilinear Interpolation

[2] Bicubic Spline Interpolation

[3] B-Spline Interpolation

Default: 3"

Associated revisions

Revision 77786f38 - 2018-06-08 04:18 AM - Nyall Dawson

[processing][SAGA] Fix interpolation choices for add grid values algorithms

And add more tests

Fixes #19132

History

#1 - 2018-06-07 02:20 PM - Giovanni Manghi

- Operating System deleted (Windows 7)

- Priority changed from Normal to High

- Assignee set to Giovanni Manghi

#2 - 2018-06-08 04:18 AM - Nyall Dawson
- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|77786f38c3d623a14f52a42f15a417d579cc751c.
